// OutputController_9222.h: interface for the COutputController_9222 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "OutputControllerBase.h"

// NOTE: the Channel/Point number for analog output is 0 and 1 only
// However, MIT internal setting is 16 and 17.
class COutputController_9222 : public COutputControllerBase
{
public:
    COutputController_9222();
    virtual ~COutputController_9222();

    // method to initialise the output controller card
    int InitCard(int nHardwareIniTypeID, int nHardwareIniTypeCardNo, int* pPhysicalCardID) override;

    // method to close the output controller card
    int CloseCard(int nPhysicalCardID) override;
};
